const {ccclass, property} = cc._decorator;

@ccclass
export default class scene extends cc.Component {
    @property(cc.Camera)
    camera: cc.Camera = null;

    @property(cc.Prefab)
    roleNode: cc.Prefab = null;

    @property(cc.TiledMap)
    map: cc.TiledMap = null;
    
    npc: cc.Node = null;

    onLoad(){
    }
    start(){
        let floorLayer = this.map.getLayer('floor');
        this.npc = cc.instantiate(this.roleNode)
        floorLayer.addUserNode(this.npc);
    }
    update(){
        this.camera.node.setPosition(this.npc.position);
        this.npc.x += 2;
    }
}
