"use strict";
cc._RF.push(module, 'b33e9UL2AJMjZWALnq8FR8Y', 'script');
// script.ts

Object.defineProperty(exports, "__esModule", { value: true });
var _a = cc._decorator, ccclass = _a.ccclass, property = _a.property;
var scene = /** @class */ (function (_super) {
    __extends(scene, _super);
    function scene() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.camera = null;
        _this.roleNode = null;
        _this.map = null;
        _this.npc = null;
        return _this;
    }
    scene.prototype.onLoad = function () {
    };
    scene.prototype.start = function () {
        var floorLayer = this.map.getLayer('floor');
        this.npc = cc.instantiate(this.roleNode);
        floorLayer.addUserNode(this.npc);
    };
    scene.prototype.update = function () {
        this.camera.node.setPosition(this.npc.position);
        this.npc.x += 2;
    };
    __decorate([
        property(cc.Camera)
    ], scene.prototype, "camera", void 0);
    __decorate([
        property(cc.Prefab)
    ], scene.prototype, "roleNode", void 0);
    __decorate([
        property(cc.TiledMap)
    ], scene.prototype, "map", void 0);
    scene = __decorate([
        ccclass
    ], scene);
    return scene;
}(cc.Component));
exports.default = scene;

cc._RF.pop();